Name:           bmp
Version:        0.9.7.1
Release:        4%{?dist}
Summary:        GTK2 based port of the XMMS media player

Group:          Applications/Multimedia
License:        GPL
URL:            http://beepmp.sourceforge.net/
# The original source files contain an mp3 decoder. It is removed in the
# -patched- file
# Source0:        http://dl.sf.net/beepmp/bmp-%{version}.tar.gz
Source0:        bmp-patched-%{version}.tar.gz
Source1:        bmp.sh
Source2:        beep.png
Patch0:         bmp-0.9.7-readmacro.patch
Patch1:         bmp-0.9.7-default-skin.patch
Patch2:         bmp-0.9.7-default-alsa.patch
Patch3:         bmp-0.9.7.1-xmms-skins.patch
Patch4:         bmp-0.9.7-shaded-skin.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig gtk2-devel esound-devel libvorbis-devel
BuildRequires:  zlib-devel desktop-file-utils alsa-lib-devel
BuildRequires:  gnome-vfs2-devel libglade2-devel
# This is probably temporary until the above libs get their dependencies
# right
BuildRequires:  libSM-devel libICE-devel libX11-devel libXrandr-devel
BuildRequires:  libXau-devel libXi-devel libXft-devel libXinerama-devel
BuildRequires:  libXcursor-devel libXrender-devel libXext-devel libXfixes-devel
BuildRequires:  libXdmcp-devel libXt-devel
PreReq: desktop-file-utils >= 0.9

%description
BMP (Beep Media Player) is a media player that currently uses a skinned
user interface based on Winamp 2.x skins. It is based on ("forked off")
XMMS.

%package        devel
Summary:        Development files for the Beep Media Player
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel gtk2-devel gnome-vfs2-devel GConf2-devel

%description    devel
Development files for the Beep Media Player

%prep
%setup -q

# Fix the improper use of read as a function name
%patch0 -p1 -b .readmacro

# Use the XMMS Bluecurve skin by default
%patch1 -p1 -b .default-skin

%patch2 -p1 -b .default-alsa
%patch3 -p1 -b .xmms-skins

# Fix wrong focussed/unfocussed skin for shaded playlist/equalizer
%patch4 -p1 -b .shaded-skin


%build
##	--disable-mp3 \

%configure \
%ifarch %{ix86}
	--enable-simd \
%endif
	--enable-gconf \
	--enable-gnome-vfs
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

# Image is png, not svg
perl -pi -e 's/svg/png/ ; s/^(Categories=.+[^;\n])$/\1;/' beep/bmp.desktop

desktop-file-install --vendor startcom \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
    --add-category X-StartCom  \
    --add-category Application  \
    --remove-mime-type audio/mp3 \
    --remove-mime-type audio/x-mp3 \
    --remove-mime-type audio/mpeg \
    --remove-mime-type audio/x-mpeg \
    beep/bmp.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/bmp.desktop

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Shell variables
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d

# Replace icon
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/bmp.svg
install -D -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/bmp.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications


%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog FAQ NEWS README
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/bmp
%{_datadir}/bmp
%{_mandir}/man[^3]/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%config(noreplace) %{_sysconfdir}/profile.d/bmp.sh

%files devel
%defattr(-,root,root,-)
%{_includedir}/bmp
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Sun May 14 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue Feb 21 2006 Ralf Ertzinger <ralf@skytale.net> 0.9.7.1-4.fc5
- Bumped and rebuilt for FC5

* Sun Nov 27 2005 Ralf Ertzinger <ralf@skytale.net> 0.9.7.1-1%{dist}
- Upstream upgrade to 0.9.7.1
- Fix xmms-skin.patch for new version
- Fix Requires: for modular X11 (probably temporary)

* Thu Jun 02 2005 Ralf Ertzinger <ralf@skytale.net> 0.9.7-10%{?dist} 
- bmp-0.9.7-shaded-skin.patch (BZ #158402)

* Thu Jun 02 2005 Ralf Ertzinger <ralf@skytale.net> 0.9.7-9%{?dist}
- Removed MPEG filetypes from desktop file
- Call update-desktop-database in post/postun (BZ #159129)

* Sat May 21 2005 Ralf Ertzinger <ralf@skytale.net> 0.9.7-8%{?dist} 
- Added %%{dist}

* Mon Apr 04 2005 Ralf Ertzinger <ralf@skytale.net> 0.9.7-7
- Remove ExcludeArch:ppc since package seems to work fine
  on ppc now

* Fri Mar 18 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.9.7-6
- Enable XMMS skins directory inside binary, not via profile.d/bmp.sh

* Thu Mar 17 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.9.7-5
- Add -devel dependencies needed for headers and pkgconfig template.

* Wed Mar 16 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.9.7-4
- Apply common spec cleanup and corrections.
- Add patch to make ALSA output driver the default.

* Sun Mar 13 2005 Ralf Ertzinger <ralf@skytale.net> 0.9.7-3 
- More changes from livna

* Fri Mar 11 2005 Ralf Ertzinger <ralf@skytale.net> 0.9.7-2 
- Added bmp.sh, default-skin patch from livna package
- Removed mp3 plugin code

* Fri Mar 11 2005 Ralf Ertzinger <ralf@skytale.net> 0.9.7-1 
- Initial build for Fedora Extras
